#!/bin/bash

set -e

disable_service() {
    if [ -f /lib/systemd/system/delete-oem-user-for-firstboot.service ]; then
        #rm -f /lib/systemd/system/delete-oem-user.service
	/bin/systemctl disable delete-oem-user-for-firstboot.service || true
    fi
}

delete_oem_user() {
    if getent passwd 'oem' >/dev/null; then
        if [ -f /etc/sudoers.d/oem ]; then
            rm -f /etc/sudoers.d/oem
        fi
        pkill -u 'oem' || true
        userdel --force --remove 'oem' || true
    fi

    if [ -f /usr/share/lightdm/lightdm.conf.d/96-ukui-lite-firstboot.conf ]; then
	    rm -f /usr/share/lightdm/lightdm.conf.d/96-ukui-lite-firstboot.conf
    fi
    if [ -f /usr/share/xsessions/ukui-lite-firstboot.desktop ]; then
	    rm -f /usr/share/xsessions/ukui-lite-firstboot.desktop
    fi
}

remove_user_dir() {
    for user in $(ls /home); do
        if ! getent passwd ${user} >/dev/null; then
            rm -rf /home/${user}/.config || true
        fi
        rmdir /home/${user} || true
    done
}


restart_lightdm() {
    systemctl restart lightdm
}

disable_service 

delete_oem_user 

#remove_user_dir

restart_lightdm



